Bug 236858 - Ensure layer has backing during traversal
Summary: Ensure layer has backing during traversal
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-02-18 12:58 PST by Brandon
Modified: 2023-03-24 14:02 PDT (History)
11 users (show)

See Also:


Attachments
Patch (1.56 KB, patch)
2022-02-18 13:05 PST, Brandon
no flags Details | Formatted Diff | Diff
Patch (2.17 KB, patch)
2022-02-21 12:19 PST, Brandon
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brandon 2022-02-18 12:58:28 PST
<rdar://88329753>
Comment 1 Brandon 2022-02-18 13:05:51 PST
Created attachment 452568 [details]
Patch
Comment 2 Simon Fraser (smfr) 2022-02-21 12:05:24 PST
Comment on attachment 452568 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=452568&action=review

> Source/WebCore/rendering/RenderLayerCompositor.cpp:3462
> +        if (!ancestorLayer.backing())

This should test isComposited().
Comment 3 Brandon 2022-02-21 12:19:06 PST
Created attachment 452754 [details]
Patch
Comment 4 EWS 2022-02-21 19:58:59 PST
Committed r290285 (247609@main): <https://commits.webkit.org/247609@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 452754 [details].